## naabu 2.3.1

=== v2/Makefile ===
# Go parameters
GOCMD=go
GOBUILD=$(GOCMD) build
GOMOD=$(GOCMD) mod
GOTEST=$(GOCMD) test
GOFLAGS := -v 
LDFLAGS := -s -w

ifneq ($(shell go env GOOS),darwin)
LDFLAGS := -extldflags "-static"
endif
    
all: build
build:
	$(GOBUILD) $(GOFLAGS) -ldflags '$(LDFLAGS)' -o "naabu" cmd/naabu/main.go
test: 
	$(GOTEST) $(GOFLAGS) ./...
tidy:
	$(GOMOD) tidy

## naabu 2.0.5

=== debian/changelog ===
naabu (2.0.5-0parrot2) lory-updates; urgency=medium

  * Add missing Maintainer field.
  * Override dh_dwz.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 04 Dec 2023 17:24:40 +0100

naabu (2.0.5-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:09:01 +0200

naabu (2.0.5-0kali1) kali-dev; urgency=medium

  * Initial release (see 6835)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Nov 2021 10:38:48 +0100

=== debian/control ===
Source: naabu
Section: golang
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Priority: optional
Build-Depends: debhelper-compat (= 13),
               ca-certificates,
               dh-golang,
               golang-any,
               golang-github-google-gopacket-dev,
               golang-github-remeh-sizedwaitgroup-dev,
               golang-golang-x-net-dev
Standards-Version: 4.6.0
Homepage: https://github.com/projectdiscovery/naabu
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/projectdiscovery/naabu

Package: naabu
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: fast port scanner with a focus on reliability and simplicity
 This package contains a port scanning tool written in Go that allows you to
 enumerate valid ports for hosts in a fast and reliable manner. It is a really
 simple tool that does fast SYN/CONNECT scans on the host/list of hosts and
 lists all ports that return a reply.
 Main features are:
   * Fast And Simple SYN/CONNECT probe based scanning.
   * Optimized for ease of use and lightweight on resources
   * Automatic handling of duplicate hosts between multiple subdomains
   * NMAP Integration for service discovery
   * Piped input / output support for integrating in workflows
   * Multiple Output formats supported (JSON, File, Stdout)
   * Multiple input support including HOST/IP/CIDR notation

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export GOCACHE=$(CURDIR)/debian/vendor
export GOPATH=$(CURDIR)/debian/vendor

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	cd v2 && go install ./...

override_dh_dwz:

override_dh_auto_test:
	# tests fail because the depends are missing.

## naabu 2.3.1

=== debian/changelog ===
naabu (2.3.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.3.1
  * Drop golang build deps, unused
  * Disable package build for armel and armhf

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 24 Oct 2024 16:06:58 +0700

naabu (2.1.1-0kali1) kali-dev; urgency=medium

  * New upstream release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 01 Nov 2022 23:28:07 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: naabu
 Section: golang
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Priority: optional
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
                dh-golang,
                golang-any,
-               golang-github-google-gopacket-dev,
-               golang-github-remeh-sizedwaitgroup-dev,
-               golang-golang-x-net-dev
-Standards-Version: 4.6.0
+               libpcap0.8-dev,
+Standards-Version: 4.6.1
+Vcs-Browser: https://gitlab.com/kalilinux/packages/naabu
+Vcs-Git: https://gitlab.com/kalilinux/packages/naabu.git
 Homepage: https://github.com/projectdiscovery/naabu
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/projectdiscovery/naabu
 
 Package: naabu
-Architecture: any
+# Architecture: any [!armel !armhf]
+Architecture: amd64 arm64 i386
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,12 @@
 override_dh_auto_build:
 	cd v2 && go install ./...
 
-override_dh_dwz:
-
 override_dh_auto_test:
 	# tests fail because the depends are missing.
+
+override_dh_dwz:
+	# Fails with
+	# dwz: debian/naabu/usr/bin/functional-test: Found compressed .debug_abbrev section, not attempting dwz compression
+	# dwz: debian/naabu/usr/bin/integration-test: Found compressed .debug_aranges section, not attempting dwz compression
+	# dwz: debian/naabu/usr/bin/naabu: Found compressed .debug_aranges section, not attempting dwz compression
+	# dwz: Too few files for multifile optimization

=== debian/tests/control ===
Test-Command: naabu -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/projectdiscovery/naabu/tags .*/v?(\d\S*)\.tar\.gz debian

## naabu 2.3.7

=== debian/changelog ===
naabu (2.3.7-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)
  * Drop mention of armel

  [ Daniel Ruiz de Alegría ]
  * New upstream version 2.3.7
  * Update debian/watch to version 5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Jan 2026 22:41:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@ --buildsystem=golang
 
 override_dh_auto_build:
-	cd v2 && go install ./...
+	go build -o naabu cmd/naabu/main.go
 
 override_dh_auto_test:
 	# tests fail because the depends are missing.

## naabu 2.4.0

=== debian/changelog ===
naabu (2.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.4.0

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 26 Jan 2026 11:26:53 +0100

naabu (2.3.7-0kali2) kali-dev; urgency=medium

  * Avoid installing source code

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 26 Jan 2026 11:04:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: golang
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
-Rules-Requires-Root: no
+Uploaders: Sophie Brun <sophie@offensive-security.com>,
+           Daniel Ruiz de Alegría <danirui@kali.org>,
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
                dh-golang,
                golang-any,
                libpcap0.8-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://gitlab.com/kalilinux/packages/naabu
 Vcs-Git: https://gitlab.com/kalilinux/packages/naabu.git
 Homepage: https://github.com/projectdiscovery/naabu
@@ -17,7 +17,7 @@
 XS-Go-Import-Path: github.com/projectdiscovery/naabu
 
 Package: naabu
-# Architecture: any [!armel !armhf]
+# Architecture: any [!armhf]
 Architecture: amd64 arm64 i386
 Depends: ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 override_dh_auto_build:
 	go build -o naabu cmd/naabu/main.go
 
+override_dh_auto_install:
+	dh_auto_install -- --no-source
+
 override_dh_auto_test:
 	# tests fail because the depends are missing.

=== debian/watch ===
Version: 5

Template: Github
Owner: projectdiscovery
Project: naabu
Uversionmangle: s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/
